%% 4000 ft test andrea 
tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=16284;
fine=17516;

rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))




% figure(1)
% plot(tempo,TAS)
% xlabel('time [s]')
% ylabel('TAS [m/s]')
% grid on
% figure(2)
% plot(tempo,quota)
% xlabel('time [s]')
% ylabel('H [m]')
% grid on
% figure(3)
% plot(tempo,deltae)

%prove a 4000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS= -0.004401.*x.^2+9.738.*x-5318;
a_TAS=-0.004401.*2.*x+9.738;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(15)/77.*T_out./T_s;

V_fdc=35:1:65;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end

ROCfdc=[ 5.2500e+00
   5.2302e+00
   5.2028e+00
   5.1674e+00
   5.1236e+00
   5.0712e+00
   5.0100e+00
   4.9518e+00
   4.8885e+00
   4.8165e+00
   4.7355e+00
   4.6455e+00
   4.5463e+00
   4.4405e+00
   4.3393e+00
   4.2291e+00
   4.1099e+00
   3.9814e+00
   3.8438e+00
   3.6967e+00
   3.5491e+00
   3.3992e+00
   3.2402e+00
   3.0719e+00
   2.8942e+00
   2.7071e+00
   2.5105e+00
   2.3183e+00
   2.1174e+00
   1.9071e+00
   1.6873e+00
];
figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 1220m  5500 rpm')

%% 3000m test andrea 
tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=13441;
fine= 14401;

rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end



figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on 
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t[s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==900
        casper=i;
    end 
end



%prove a 3000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=  -0.007831.*x.^2+14.31.*x-6466;
a_TAS= -0.007831.*2.*x+14.31;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(120/3.28)/60.*T_out./T_s;%correzione su temperatura e quota

V_fdc=30:1:65;

%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end


ROCfdc=[  5.4466e+00
   5.4331e+00
   5.4294e+00
   5.4299e+00
   5.4370e+00
   5.4424e+00
   5.4439e+00
   5.4402e+00
   5.4301e+00
   5.4130e+00
   5.3928e+00
   5.3728e+00
   5.3448e+00
   5.3083e+00
   5.2630e+00
   5.2088e+00
   5.1453e+00
   5.0850e+00
   5.0194e+00
   4.9447e+00
   4.8608e+00
   4.7676e+00
   4.6648e+00
   4.5553e+00
   4.4504e+00
   4.3364e+00
   4.2130e+00
   4.0801e+00
   3.9377e+00
   3.7856e+00
   3.6330e+00
   3.4780e+00
   3.3136e+00
   3.1397e+00
   2.9562e+00
   2.7629e+00
];

figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 3000 ft 5500rpm')

%% 6000 m 1°

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio= 21281;
fine=22241;%26768;
rpm=VarName9;

rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end


figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t [s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1390
        casper=i;
    end 
end


%prove a 60000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS=  -0.009448.*x.^2+26.25.*x-1.817e+04 ;
a_TAS= -0.009448.*2.*x+26.25;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(140/3.28)/60.*T_out./T_s;



%Vx
m_vett=ROC_s./v_TAS;
i=1;
while v_TAS(i)<max(v_TAS)
m=ROC_s(i)/v_TAS(i);
if m==max(m_vett)
    Vx=v_TAS(i)
end
if ROC_s(i)==max(ROC_s)
    Vy=v_TAS(i)
end

i=i+1;
end
V_fdc=30:1:60;

ROCfdc=[ 5.2171e+00
   5.1519e+00
   5.1115e+00
   5.0854e+00
   5.0723e+00
   5.0628e+00
   5.0535e+00
   5.0422e+00
   5.0273e+00
   5.0074e+00
   4.9860e+00
   4.9656e+00
   4.9386e+00
   4.9045e+00
   4.8628e+00
   4.8133e+00
   4.7557e+00
   4.7011e+00
   4.6420e+00
   4.5746e+00
   4.4990e+00
   4.4149e+00
   4.3222e+00
   4.2233e+00
   4.1288e+00
   4.0259e+00
   3.9145e+00
   3.7944e+00
   3.6656e+00
   3.5280e+00
   3.3899e+00
];

figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 6000 ft 5500rpm')

%% 6000 m 2°

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=23841;
fine=24721;

rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end



figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))
xlabel('t [s]')
ylabel('TAS [m/s]')
grid on
figure(2)
plot(tempo(inizio:fine),quota(inizio:fine)./3.28)
xlabel('t [s]')
ylabel('H [m]')
grid on
rpm=VarName9;
figure(3)
plot(tempo(inizio:fine),rpm(inizio:fine))

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1545
        casper=i;
    end 
end

%prove a 6000 ft andrea paperino 15035 a 17736 
%acce è tra 16284:17516
TAS_a=TAS(inizio:fine);
tempo_a=tempo(inizio:fine);
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
%funzione che interpola 

x=tempo_a;
v_TAS= -0.01015 .*x.^2+31.27.*x-2.403e+04;
a_TAS=-0.01015 .*2.*x+31.27;

ROC= a_TAS.*v_TAS./9.81;
ROC_s=ROC.*T_out./T_s-(30/3.28)/55.*T_out./T_s;

V_fdc=30:1:60;

ROCfdc=[  5.2171e+00
   5.1519e+00
   5.1115e+00
   5.0854e+00
   5.0723e+00
   5.0628e+00
   5.0535e+00
   5.0422e+00
   5.0273e+00
   5.0074e+00
   4.9860e+00
   4.9656e+00
   4.9386e+00
   4.9045e+00
   4.8628e+00
   4.8133e+00
   4.7557e+00
   4.7011e+00
   4.6420e+00
   4.5746e+00
   4.4990e+00
   4.4149e+00
   4.3222e+00
   4.2233e+00
   4.1288e+00
   4.0259e+00
   3.9145e+00
   3.7944e+00
   3.6656e+00
   3.5280e+00
   3.3899e+00
];

figure(5)
plot(v_TAS,ROC)
hold on
plot(v_TAS,ROC_s)
grid on 
plot(V_fdc,ROCfdc)
legend('ROC_{test}', 'ROC_{sta.}', 'ROC_{fdc}')
xlabel('TAS [m/s]')
ylabel('ROC [m/s]')
title('ROC at 6000 ft 5500rpm')

%% trim 4000

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=16001;
fine=16081;


alpha=VarName5;
rpm=VarName9;
map=VarName13;


rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end

figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))

figure(2)
plot(tempo(inizio:fine),quota(inizio:fine))

figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))


figure(4)
plot(tempo(inizio:fine),map(inizio:fine))

figure(5)
plot(tempo(inizio:fine),rpm(inizio:fine))

figure(6)
plot(tempo(inizio:fine),alpha(inizio:fine))

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==1005
        casper=i;
    end 
end

%% trim 3000

tempo=VarName1-VarName1(1);
TAS=VarName8*0.514444;
quota=VarName2;
deltae=VarName12;
T=VarName12+237.15;
inizio=13281;
fine= 13441;


alpha=VarName5;
rpm=VarName9;
map=VarName13;
vind=VarName14;
vericalspeed=VarName15;

rho_sl  = 1.225;               % Densità aria a livello del mare [kg/m^3]
T_sl    = 288.15;                  % Temperatura a livello del mare [K]
a       = -0.0065;             % Gradiente termico [K/m]
h = quota./3.28;

% Valutazione della temperatura e della densita' al variare della quota (fino a tropopausa)
for  i = 1:length(h)
T_s(i)     = T_sl + a.*h(i);
rho_s(i)   = rho_sl.*(T_s(i)./T_sl).^4.25;
end
T_out=T(inizio:fine);
T_s=T_s(inizio:fine);
T_s=T_s';
map1=map(inizio:fine).*T_out./T_s;

figure(1)
plot(tempo(inizio:fine),TAS(inizio:fine))

figure(2)
plot(tempo(inizio:fine),quota(inizio:fine))

figure(3)
plot(tempo(inizio:fine),deltae(inizio:fine))


figure(4)
plot(tempo(inizio:fine),map1(inizio:fine))

figure(5)
plot(tempo(inizio:fine),rpm(inizio:fine))

figure(6)
plot(tempo(inizio:fine),alpha(inizio:fine))

%find indice dal tempo
for i=inizio:1:fine
    if tempo(i)==840
        casper=i;
    end 
end







